openSUSE 安全性更新:libidn2 (openSUSE-2019-2611)

critical Nessus Plugin ID 131682

語系:

新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

遠端 openSUSE 主機缺少安全性更新。

描述

此 2.2.0 版的 libidn2 更新修正了下列問題:- CVE-2019-12290:已修正從 A-labels 轉換為 U-labels 時的不當來回行程檢查問題 (bsc#1154884)。- CVE-2019-18224:已修正因長網域字串造成的堆積型緩衝區溢位問題 (bsc#1154887)。此更新是從 SUSE:SLE-15:Update 更新專案匯入。

解決方案

更新受影響的 libidn2 套件。

另請參閱

https://bugzilla.opensuse.org/show_bug.cgi?id=1154884

https://bugzilla.opensuse.org/show_bug.cgi?id=1154887

Plugin 詳細資訊

嚴重性: Critical

ID: 131682

檔案名稱: openSUSE-2019-2611.nasl

版本: 1.2

類型: local

代理程式: unix

已發布: 2019/12/4

已更新: 2019/12/9

相依性: ssh_get_info.nasl

風險資訊

VPR

風險因素: Medium

分數: 5.9

CVSS v2

風險因素: High

基本分數: 7.5

時間分數: 5.5

媒介: AV:N/AC:L/Au:N/C:P/I:P/A:P

時間媒介: E:U/RL:OF/RC:C

CVSS v3

風險因素: Critical

基本分數: 9.8

時間分數: 8.5

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

時間媒介: E:U/RL:O/RC:C

弱點資訊

CPE: p-cpe:/a:novell:opensuse:libidn2-0, p-cpe:/a:novell:opensuse:libidn2-0-32bit, p-cpe:/a:novell:opensuse:libidn2-0-32bit-debuginfo, p-cpe:/a:novell:opensuse:libidn2-0-debuginfo, p-cpe:/a:novell:opensuse:libidn2-debugsource, p-cpe:/a:novell:opensuse:libidn2-devel, p-cpe:/a:novell:opensuse:libidn2-lang, p-cpe:/a:novell:opensuse:libidn2-tools, p-cpe:/a:novell:opensuse:libidn2-tools-debuginfo, cpe:/o:novell:opensuse:15.1

必要的 KB 項目: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2019/12/3

弱點發布日期: 2019/10/21

參考資訊

CVE: CVE-2019-12290, CVE-2019-18224